#ifndef __PARSER
#define __PARSER

#include "fileio.h"

enum{
	kParserTypeCarDesc,
	kParserTypeRoadTypeDesc,
	kParserTypeSurfaceTypeDesc,
	kParserTypeConfigDesc,
	kParserTypeEnvironmentDesc,
	kParserTypeMapInfoDesc,
	kParserTypeSolidEntityDesc,
	kParserTypeFontInfoDesc,
	kParserTypeCareerDataDesc,
	kParserTypeCareerRaceDataDesc,
	kParserTypeGaugesListDesc,
	kParserTypeChallengeList,
	kParserTypeTexturePriorityList,
	kParserTypeImageURL,
};

int ParseFile(tFileRef fileId, void *dataBuffer,int fileType);
void CryptData(char *data,int size);
void GetLine(char *line,char **filePos,char *fileEnd,int buffersize);

#endif
